OpenJPEG 2.5.0

Data Fields
opj_sparse_array_int32 Struct Reference

## Data Fields
OPJ_UINT32 | width
OPJ_UINT32 | height
OPJ_UINT32 | block_width
OPJ_UINT32 | block_height
OPJ_UINT32 | block_count_hor
OPJ_UINT32 | block_count_ver
OPJ_INT32 ** | data_blocks

## Field Documentation

## ◆ block_count_hor

OPJ_UINT32 opj_sparse_array_int32::block_count_hor

Referenced by opj_sparse_array_int32_create(), opj_sparse_array_int32_free(), and opj_sparse_array_int32_read_or_write().

## ◆ block_count_ver

OPJ_UINT32 opj_sparse_array_int32::block_count_ver

Referenced by opj_sparse_array_int32_create(), and opj_sparse_array_int32_free().

## ◆ block_height

OPJ_UINT32 opj_sparse_array_int32::block_height

Referenced by opj_sparse_array_int32_create(), and opj_sparse_array_int32_read_or_write().

## ◆ block_width

OPJ_UINT32 opj_sparse_array_int32::block_width

Referenced by opj_sparse_array_int32_create(), and opj_sparse_array_int32_read_or_write().

## ◆ data_blocks

OPJ_INT32** opj_sparse_array_int32::data_blocks

Referenced by opj_sparse_array_int32_create(), opj_sparse_array_int32_free(), and opj_sparse_array_int32_read_or_write().

## ◆ height

OPJ_UINT32 opj_sparse_array_int32::height

Referenced by opj_sparse_array_int32_create(), and opj_sparse_array_is_region_valid().

## ◆ width

OPJ_UINT32 opj_sparse_array_int32::width

Referenced by opj_sparse_array_int32_create(), and opj_sparse_array_is_region_valid().

The documentation for this struct was generated from the following file:

- sparse_array.c